package com.sun.jmx.remote.internal;

import java.rmi.NoSuchObjectException;
import java.rmi.RemoteException;
import java.rmi.server.RMIServerSocketFactory;
import java.rmi.server.RMIClientSocketFactory;
import java.rmi.Remote;

public interface RMIExporter
{
    public static final String EXPORTER_ATTRIBUTE = "com.sun.jmx.remote.rmi.exporter";
    
    public abstract Remote exportObject(Remote p0, int p1, RMIClientSocketFactory p2, RMIServerSocketFactory p3) throws RemoteException;
    
    public abstract boolean unexportObject(Remote p0, boolean p1) throws NoSuchObjectException;
}
